> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate.inc/llms.txt
> Use this file to discover all available pages before exploring further.

# List all QC checklists

> Retrieve a paginated list of all QC checklists with basic metadata.



## OpenAPI

````yaml /api-reference/qc/openapi.yaml get /v2/qc/checklists
openapi: 3.0.0
info:
  title: QC API
  description: >-
    API for managing Quality Control checklists, requests, approving or
    rejecting requests, etc.
  version: 2.0.0
  contact:
    name: Slate API Support
    email: api-support@slate.inc
    url: https://slate.inc
servers:
  - url: https://api.slate.inc/qc
    description: Production
  - url: https://api.uat.slate.inc/qc
    description: UAT (staging)
security:
  - bearerAuth: []
paths:
  /v2/qc/checklists:
    get:
      summary: List all QC checklists
      description: Retrieve a paginated list of all QC checklists with basic metadata.
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/owner'
        - $ref: '#/components/parameters/orderDirection'
        - in: query
          name: orderBy
          description: The column to order the results by, defaults to `id`
          schema:
            type: string
            default: id
            enum:
              - id
              - createdOn
              - archivedOn
              - displayName
        - $ref: '#/components/parameters/qcChecklistsFilter'
      responses:
        '200':
          description: A paginated list of QC checklists
          content:
            application/json:
              schema:
                type: object
                properties:
                  qcChecklists:
                    type: array
                    items:
                      $ref: '#/components/schemas/QCChecklist'
                  pagination:
                    $ref: '#/components/schemas/Pagination'
        '400':
          description: Invalid checklist parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized or invalid permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unexpected internal error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    limit:
      in: query
      name: limit
      required: false
      schema:
        type: integer
        default: 100
        minimum: 1
      description: The number of items to return per page (default 10).
    cursor:
      in: query
      name: cursor
      required: false
      schema:
        type: string
      description: The cursor for fetching the next page of results.
    owner:
      in: query
      name: owner
      required: true
      schema:
        type: string
      description: Owner to filter the results to.
    orderDirection:
      in: query
      name: orderDirection
      description: The direction to order the results by
      schema:
        type: string
        default: asc
        enum:
          - asc
          - desc
    qcChecklistsFilter:
      in: query
      name: filter
      description: One or more columns and their values on which to filter results
      style: deepObject
      schema:
        type: object
        properties:
          createdOn:
            type: string
          archivedOn:
            type: string
          displayName:
            type: string
          checklistType:
            type: string
            description: >-
              The type of checklist to filter results by. Defaults to `quality`
              when omitted.
            enum:
              - quality
              - review
  schemas:
    QCChecklist:
      type: object
      required:
        - id
        - createdOn
        - displayName
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the QC checklist
        createdOn:
          type: string
          format: date-time
          description: Timestamp when the QC checklist was created
        archivedOn:
          type: string
          format: date-time
          description: Timestamp when the QC checklist was archived
        displayName:
          type: string
          description: Name of the QC checklist item
        checklistType:
          type: string
          description: The type of checklist
          enum:
            - quality
            - review
        groupType:
          type: string
          description: >-
            The type of numbering used for this checklist's groups. Only set
            once the checklist has at least one group.
          enum:
            - alphanumeric
            - numeric
        version:
          type: string
          description: The version of the checklist
    Pagination:
      type: object
      properties:
        totalCount:
          type: integer
          description: Total number of templates available.
        previousCursor:
          type: string
          description: >-
            The cursor to fetch the previous page of results (empty string if
            there are no more pages).
        nextCursor:
          type: string
          description: >-
            The cursor to fetch the next page of results (empty string if there
            are no more pages).
    Error:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: A human readable error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Owner-scoped bearer token. The `owner` a request is scoped to is derived
        from the token; list endpoints also take an explicit `owner` query
        parameter your token must be authorized to read.

````